import 'package:elektronika/app/global_widgets/global_widgets.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'controller.dart';
import 'widgets/orders_list_widget.dart';

class OrdersPage extends StatelessWidget {
  const OrdersPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GetBuilder<OrderController>(
      init: OrderController(),
      builder: (oc) => WillPopScope(
        onWillPop: () => oc.onWillPopScope(),
        child: Material(
          color: Colors.white,
          child: SafeArea(
            child: Scaffold(
              appBar: CustomAppbarWidget(
                leading: AppBarBackBtn()
              ),
              // backgroundColor: ThemeColor.scaffoldBckColor,
              body: OrdersListWidget(),
            ),
          ),
        ),
      ),
    );
  }
}
